uuid: 61a05afb-79d0-4522-ad92-e8c90dfb5774
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_revision_event
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Node revisions (Event)'
source:
  plugin: d7_node_revision
  node_type: event
process:
  nid:
    -
      plugin: get
      source: nid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  comment_node_event/0/status:
    -
      plugin: get
      source: comment
  body:
    -
      plugin: get
      source: body
  field_start_date:
    -
      plugin: sub_process
      source: field_start_date
      process:
        value:
          plugin: format_date
          from_format: 'Y-m-d H:i:s'
          to_format: 'Y-m-d\TH:i:s'
          source: value
  field_end_date:
    -
      plugin: sub_process
      source: field_end_date
      process:
        value:
          plugin: format_date
          from_format: 'Y-m-d H:i:s'
          to_format: 'Y-m-d\TH:i:s'
          source: value
  field_images:
    -
      plugin: sub_process
      source: field_images
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_files:
    -
      plugin: sub_process
      source: field_files
      process:
        target_id: fid
        display: display
        description: description
  field_location:
    -
      plugin: get
      source: field_location
  field_link:
    -
      plugin: field_link
      source: field_link
  field_link_domain:
    -
      plugin: get
      source: field_link_domain
  field_topics:
    -
      plugin: sub_process
      source: field_topics
      process:
        target_id: tid
  field_region:
    -
      plugin: sub_process
      source: field_region
      process:
        target_id: tid
  field_speakers:
    -
      plugin: get
      source: field_speakers
  field_agenda_details:
    -
      plugin: get
      source: field_agenda_details
  field_our_events:
    -
      plugin: get
      source: field_our_events
  field_event_video:
    -
      plugin: sub_process
      source: field_event_video
      process:
        target_id: fid
        display: display
        description: description
  field_event_webinar:
    -
      plugin: get
      source: field_event_webinar
  field_evente_meeting_type:
    -
      plugin: get
      source: field_evente_meeting_type
  field_events_type:
    -
      plugin: sub_process
      source: field_events_type
      process:
        target_id: tid
  field_organization_link:
    -
      plugin: field_link
      source: field_organization_link
  field_hide_time:
    -
      plugin: get
      source: field_hide_time
  field_show_in_mobile_events_cale:
    -
      plugin: get
      source: field_show_in_mobile_events_cale
  field_render_webinar_info:
    -
      plugin: get
      source: field_render_webinar_info
  field_event_redirect_url:
    -
      plugin: field_link
      source: field_event_redirect_url
  field_complimentary_tickets_cod:
    -
      plugin: get
      source: field_complimentary_tickets_cod
  field_complimentary_tickets_code:
    -
      plugin: get
      source: field_complimentary_tickets_code
  field_discounted_tickets_code:
    -
      plugin: get
      source: field_discounted_tickets_code
  field_discounted_tickets_code_bu:
    -
      plugin: get
      source: field_discounted_tickets_code_bu
  field_render_on_conferences_tab:
    -
      plugin: get
      source: field_render_on_conferences_tab
  field_event_updated_date:
    -
      plugin: sub_process
      source: field_event_updated_date
      process:
        value:
          plugin: format_date
          from_format: U
          to_format: U
          source: value
  field_event_timezone:
    -
      plugin: get
      source: field_event_timezone
destination:
  plugin: 'entity_revision:node'
  default_bundle: event
migration_dependencies:
  required:
    - upgrade_d7_node_agenda
    - upgrade_d7_node_annual_report
    - upgrade_d7_node_article
    - upgrade_d7_node_author
    - upgrade_d7_node_become_a_member_slideshow
    - upgrade_d7_node_blog
    - upgrade_d7_node_conference_proceeding
    - upgrade_d7_node_cvent_event
    - upgrade_d7_node_cvent_guest
    - upgrade_d7_node_data_sites
    - upgrade_d7_node_donors
    - upgrade_d7_node_event
    - upgrade_d7_node_event_investor
    - upgrade_d7_node_event_session
    - upgrade_d7_node_event_vendor
    - upgrade_d7_node_finance_gap
    - upgrade_d7_node_forum
    - upgrade_d7_node_industry_council_member
    - upgrade_d7_node_member
    - upgrade_d7_node_members_spotlight
    - upgrade_d7_node_member_resource
    - upgrade_d7_node_page
    - upgrade_d7_node_partners
    - upgrade_d7_node_poll
    - upgrade_d7_node_post
    - upgrade_d7_node_simplenews
    - upgrade_d7_node_sme_finance_challenge
    - upgrade_d7_node_team
    - upgrade_d7_node_webform
    - upgrade_d7_node_winners
  optional: {  }
